Enable or disable a shared secret
curl -X POST "https://api.5centscdn.com/v2/drm/auth/secrets/84ce8bbc-eb7f-42fd-bcc4-f42634b0067b/enable/true" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/drm/auth/secrets/84ce8bbc-eb7f-42fd-bcc4-f42634b0067b/enable/true"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.post(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/drm/auth/secrets/84ce8bbc-eb7f-42fd-bcc4-f42634b0067b/enable/true", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/drm/auth/secrets/84ce8bbc-eb7f-42fd-bcc4-f42634b0067b/enable/true", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/drm/auth/secrets/84ce8bbc-eb7f-42fd-bcc4-f42634b0067b/enable/true')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"id": "84ce8bbc-eb7f-42fd-bcc4-f42634b0067b",
"enabled": true,
"description": "service 10001 - auth token secret"
}
/drm/auth/secrets/{secretuuid}/enable/{flag}Target server for requests. Edit to use your own host.
API key (sent in header)
Unique identifier (UUID) of the shared secret, as returned by the list shared secrets endpoint.
true to enable the secret, false to disable it.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Unique identifier (UUID) of the shared secret, as returned by the list shared secrets endpoint.
84ce8bbc-eb7f-42fd-bcc4-f42634b0067bResponses
Operation outcome.
successerrorUnique identifier (key ID) of the shared secret.
True if the secret is now accepted by DRMtoday.
Description of the shared secret.